# flutter_nfc_acs

[flutter_nfc_acs](https://github.com/muazam98/flutter_nfc_acs) is a flutter plugin that can provide you to link the acs devices

```diff
- Note: This plugin can work only in Android as of now!
```


## Usage
- Add [flutter_nfc_acs](https://github.com/muazam98/flutter_nfc_acs#-installing-tab-) as a dependency in your pubspec.yaml file.
- Handle Location/Bluetooth permission in your flutter app. You can use flutter plugins like [permission_handler](https://pub.dev/packages/permission_handler).

```dart
import 'package:flutter_nfc_acs/flutter_nfc_acs.dart';

  FlutterNfcAcs.connect(widget.device.address)
        .catchError((err) => setState(() => error = err));

    _sub = FlutterNfcAcs.connectionStatus.listen((status) {
      setState(() {
        connection = status;
      });
    });
```


## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update the tests as appropriate.

## License
[MIT](https://github.com/muazam98/flutter_nfc_acs/blob/master/LICENSE)
